# $Revision: 1.21 $, $Date: 2005/10/30 12:25:35 $
Summary:	MySQL Name Service Switch Module
Summary(pl):	Modu NSS MySQL
Name:		nss_mysql
Version:	0.43
Release:	6
License:	GPL
Group:		Base
Source0:	http://savannah.nongnu.org/download/nss-mysql/nss-mysql.pkg/%{version}/nss-mysql-%{version}.tar.gz
# Source0-md5:	1b3e62509dec0904142a06c58e9b9473
Patch0:		%{name}-m4.patch
URL:		http://www.freesoftware.fsf.org/nss-mysql/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
NSS MySQL is a NSS library for MySQL. It features full groups, passwd
and shadow support.

%description -l pl
NSS MySQL jest bibliotek NSS dla MySQL. Pozwala ona na przechowywanie
informacji typowych dla plikw groups, passwd oraz shadow w bazie
MySQL.

%prep
%setup -q -n nss-mysql-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-group \
	--enable-shadow \
	--with-mysql-lib=/usr/%{_lib} \
	--with-mysql-include=/usr/include/mysql

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README SHADOW THANKS TODO UPGRADE *.sql INSTALL
%attr(755,root,root) %{_libdir}/*.so*
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/nss*.conf

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss_mysql.spec,v $
Revision 1.21  2005/10/30 12:25:35  arekm
- rel 6

Revision 1.20  2004/11/01 05:45:31  ankry
- rebuild with mysql 4.1.7, rel. 5

Revision 1.19  2004/04/28 22:09:26  adasi
 - README refers to INSTALL which is was not included in package...

Revision 1.18  2004/04/02 22:35:48  qboosh
- ugh, _libdir is redefined - pass /usr/%{_lib} to configure

Revision 1.17  2004/04/02 22:34:07  qboosh
- fixed one more bug in patch, pass separate mysql paths

Revision 1.16  2004/04/02 22:29:36  qboosh
- fixed patch, lib64 fixes; release 4

Revision 1.15  2003/09/10 15:24:00  ankry
- -n to %%setup

Revision 1.14  2003/09/10 14:30:17  ankry
- rel. 2

Revision 1.13  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.12  2003/06/17 12:35:09  ankry
- fixed URL and md5

Revision 1.11  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.10  2003/05/28 12:59:55  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/21 18:45:46  kloczek
- added regenerate libtool files on top %build.

Revision 1.7  2002/11/19 14:31:48  misiek
- m4 patch is back

Revision 1.6  2002/11/19 14:21:02  misiek
- updated to 0.43

Revision 1.5  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/23 17:43:50  kloczek
- more macros and use new %doc packing infrastructure.

Revision 1.3  2002/05/23 16:45:48  misiek
- updated to 0.37

Revision 1.2  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/03/26 23:00:44  misiek
- initial pld release
